From 5d998e34af03667b2af62f37d7c7df82b8332a6e Mon Sep 17 00:00:00 2001
From: Jiangyi Chen <chenjiangyi@uniontech.com>
Date: Thu, 19 Nov 2020 11:10:33 +0000
Subject: [PATCH v3] gdi32: Avoid the actual drawing position is inconsistent
 with the desired position when the width or height is negative. Use PatBlt
 and set the height parameter to - 1 for testing.

Signed-off-by: Jiangyi Chen <chenjiangyi@uniontech.com>
---
 dlls/gdi32/gdi_private.h | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/dlls/gdi32/gdi_private.h b/dlls/gdi32/gdi_private.h
index 163152fe839..33b82b847ca 100644
--- a/dlls/gdi32/gdi_private.h
+++ b/dlls/gdi32/gdi_private.h
@@ -666,14 +666,14 @@ static inline void get_bounding_rect( RECT *rect, int x, int y, int width, int h
     if (rect->left > rect->right)
     {
         int tmp = rect->left;
-        rect->left = rect->right + 1;
-        rect->right = tmp + 1;
+        rect->left = rect->right;
+        rect->right = tmp;
     }
     if (rect->top > rect->bottom)
     {
         int tmp = rect->top;
-        rect->top = rect->bottom + 1;
-        rect->bottom = tmp + 1;
+        rect->top = rect->bottom;
+        rect->bottom = tmp;
     }
 }
 
-- 
2.20.1

